# Method SSL.Connection()->handle_alert()

Method handle_alert

  ``int(-1..1)` handle_alert(`int` `level`, `int` `description`)`

Description

  Handle an alert received from the peer.

Parameter `level`

  Alert level; either `ALERT_warning` or `ALERT_fatal`.

Parameter `description`

  Alert description code; one of `indices(SSL.Constants.ALERT_descriptions)`.

Returns

  ``int(-1..-1)`` | Returns `-1` if a fatal error occurred and processing should stop.
  ``int(0..0)`` | Returns `0` if processing can continue.
  ``int(1..1)`` | Returns `1` if connection should close.